Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

ezforwardcompressionhandler.php
Go to the documentation of this file.
1 <?php
19 class eZForwardCompressionHandler extends eZCompressionHandler
20 {
21 public $ForwardHandler;
29 public function __construct( &$handler, $name, $identifier )
30 {
31 $this->ForwardHandler =& $handler;
32 parent::__construct( $name, $identifier );
33 }
34
38 function &forwardHandler()
39 {
40 return $this->ForwardHandler;
41 }
42
43 function doOpen( $filename, $mode )
44 {
45 return $this->ForwardHandler->doOpen( $filename, $mode );
46 }
47
48 function doClose()
49 {
50 return $this->ForwardHandler->doClose();
51 }
52
53 function doRead( $uncompressedLength = false )
54 {
55 return $this->ForwardHandler->doRead( $uncompressedLength );
56 }
57
58 function doWrite( $data, $uncompressedLength = false )
59 {
60 return $this->ForwardHandler->doWrite( $data, $uncompressedLength );
61 }
62
63 function doFlush()
64 {
65 return $this->ForwardHandler->doFlush();
66 }
67
68 function doSeek( $offset, $whence )
69 {
70 return $this->ForwardHandler->doSeek( $offset, $whence );
71 }
72
73 function doRewind()
74 {
75 return $this->ForwardHandler->doRewind();
76 }
77
78 function doTell()
79 {
80 return $this->ForwardHandler->doTell();
81 }
82
83 function doEOF()
84 {
85 return $this->ForwardHandler->doEOF();
86 }
87
88 function doPasstrough( $closeFile = true )
89 {
90 return $this->ForwardHandler->doPasstrough( $closeFile );
91 }
92
93 function compress( $source )
94 {
95 return $this->ForwardHandler->compress( $source );
96 }
97
98 function decompress( $source )
99 {
100 return $this->ForwardHandler->decompress( $source );
101 }
102
103 function error()
104 {
105 return $this->ForwardHandler->error();
106 }
107
108 function errorString()
109 {
110 return $this->ForwardHandler->errorString();
111 }
112
113 function errorNumber()
114 {
115 return $this->ForwardHandler->errorNumber();
116 }
117
122 function duplicate()
123 {
124 $forwardCopy = $this->ForwardHandler->duplicate();
125 $copy = new eZForwardCompressionHandler( $forwardCopy, $this->name(), $this->identifier() );
126 return $copy;
127 }
128 }
129
130 ?>
eZCompressionHandler
Interface for file handlers using compression.
Definition: ezcompressionhandler.php:34
eZFileHandler\name
name()
Definition: ezfilehandler.php:117
eZFileHandler\identifier
identifier()
Definition: ezfilehandler.php:126
eZForwardCompressionHandler
Handles files compressed with gzip.
Definition: ezforwardcompressionhandler.php:20
eZForwardCompressionHandler\doTell
doTell()
Definition: ezforwardcompressionhandler.php:78
eZForwardCompressionHandler\doClose
doClose()
Definition: ezforwardcompressionhandler.php:48
eZForwardCompressionHandler\doRewind
doRewind()
Definition: ezforwardcompressionhandler.php:73
eZForwardCompressionHandler\doPasstrough
doPasstrough( $closeFile=true)
Definition: ezforwardcompressionhandler.php:88
eZForwardCompressionHandler\doFlush
doFlush()
Definition: ezforwardcompressionhandler.php:63
eZForwardCompressionHandler\forwardHandler
& forwardHandler()
Definition: ezforwardcompressionhandler.php:38
eZForwardCompressionHandler\doWrite
doWrite( $data, $uncompressedLength=false)
Definition: ezforwardcompressionhandler.php:58
eZForwardCompressionHandler\errorString
errorString()
Definition: ezforwardcompressionhandler.php:108
eZForwardCompressionHandler\__construct
__construct(&$handler, $name, $identifier)
Definition: ezforwardcompressionhandler.php:29
eZForwardCompressionHandler\doEOF
doEOF()
Definition: ezforwardcompressionhandler.php:83
eZForwardCompressionHandler\doSeek
doSeek( $offset, $whence)
Definition: ezforwardcompressionhandler.php:68
eZForwardCompressionHandler\error
error()
Definition: ezforwardcompressionhandler.php:103
eZForwardCompressionHandler\duplicate
duplicate()
Definition: ezforwardcompressionhandler.php:122
eZForwardCompressionHandler\errorNumber
errorNumber()
Definition: ezforwardcompressionhandler.php:113
eZForwardCompressionHandler\doOpen
doOpen( $filename, $mode)
Definition: ezforwardcompressionhandler.php:43
eZForwardCompressionHandler\compress
compress( $source)
Definition: ezforwardcompressionhandler.php:93
eZForwardCompressionHandler\doRead
doRead( $uncompressedLength=false)
Definition: ezforwardcompressionhandler.php:53
eZForwardCompressionHandler\$ForwardHandler
$ForwardHandler
Definition: ezforwardcompressionhandler.php:21
eZForwardCompressionHandler\decompress
decompress( $source)
Definition: ezforwardcompressionhandler.php:98
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.